=== debian/changelog ===
webcleaner (2.31-0.1) unstable; urgency=low

  * New upstream release.
  * Depend on python2.4-pyopenssl to be able to generate SSL
    certificates in postinstall

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 17 Aug 2005 14:58:19 +0200

webcleaner (2.30-0.1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 12 Aug 2005 18:03:32 +0200

webcleaner (2.29-0.1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 18 Mar 2005 16:36:16 +0100

webcleaner (2.28-0.1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 17 Feb 2005 00:48:17 +0100

webcleaner (2.27-0.1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed,  5 Jan 2005 14:31:05 +0100

webcleaner (2.26-0.1) unstable; urgency=low

  * New upstream release.
  * Moved optional packages to Recommends and Suggests lines.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 26 Dec 2004 20:59:18 +0100

webcleaner (2.25-0.1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 17 Dec 2004 16:53:21 +0100

webcleaner (2.24-0.1) unstable; urgency=low

  * New upstream release.
  * fixed import in wc/proxy/HttpClient.py

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 14 Dec 2004 19:46:15 +0100

webcleaner (2.23-0.1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 22 Oct 2004 09:51:17 +0200

webcleaner (2.22-0.1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 19 Oct 2004 09:35:20 +0200

webcleaner (2.21-0.2) unstable; urgency=low

  * added favicon.ico to template files

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 18 Oct 2004 23:50:11 +0200

webcleaner (2.21-0.1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 17 Oct 2004 22:58:02 +0200

webcleaner (2.20-0.1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 28 Aug 2004 10:55:39 +0200

webcleaner (2.19-0.2) unstable; urgency=low

  * added debian/watch file

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 28 Jul 2004 16:32:17 +0200

webcleaner (2.19-0.1) unstable; urgency=low

  * New upstream release.
  * added preinst script that converts and moves deprecated files from
    old installations
  * properly exit webcleaner on purge, and remove all generated files

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 27 Jul 2004 21:09:47 +0200

webcleaner (2.18-0.1) unstable; urgency=low

  * New upstream release.
  * added webcleaner-ctl script to control the proxy daemon, removed the
    old init.d stuff
  * put combined log in /var/log/webcleaner/current

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 31 May 2004 19:45:54 +0200

webcleaner (2.17-0.1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 26 May 2004 13:48:39 +0200

webcleaner (2.16-0.1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 23 May 2004 01:25:12 +0200

webcleaner (2.15-0.2) unstable; urgency=low

  * do not display grep result

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 22 May 2004 17:07:05 +0200

webcleaner (2.15-0.1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 22 May 2004 16:45:19 +0200

webcleaner (2.14-0.1) unstable; urgency=low

  * New upstream release.
  * do not ask for adminpass if it is already there from a previous
    installation
  * move binaries to /usr/bin, since they could also be run by normal
    users with custom configurations
  * add linda and lintian overrides

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 22 May 2004 14:53:51 +0200

webcleaner (2.13-0.2) unstable; urgency=low

  * fix syntax error

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 11 May 2004 11:34:37 +0200

webcleaner (2.13-0.1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sat,  8 May 2004 13:59:08 +0200

webcleaner (2.12-0.1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 28 Apr 2004 21:32:53 +0200

webcleaner (2.11-0.2) unstable; urgency=low

  * remove service dir on purge
  * remove webcleaner-doc from suggests

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 28 Apr 2004 00:23:56 +0200

webcleaner (2.11-0.1) unstable; urgency=low

  * New upstream release.
  * prevent infinite loops in passwd question by unregistering empty
    passwords from the database
  * remove dh_python stuff

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 21 Apr 2004 21:43:56 +0200

webcleaner (2.10-0.1) unstable; urgency=low

  * New upstream release.
  * set permissions on log dir to 0750 and owner to root:adm
  * put supervise directories under /var/run, set symlinks
  * put log directory under /var/log/webcleaner/main, set symlinks

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 10 Mar 2004 01:02:52 +0100

webcleaner (2.9-0.1) unstable; urgency=low

  * New upstream release.
  * split package into arch independent webcleaner-common and the proxy
    package

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 20 Feb 2004 09:13:08 +0100

webcleaner (2.8-0.3) unstable; urgency=low

  * fix tests in postinst, postrm, prerm and config scripts

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 16 Jan 2004 15:30:04 +0100

webcleaner (2.8-0.2) unstable; urgency=low

  * do not add newline to password

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 16 Jan 2004 00:24:45 +0100

webcleaner (2.8-0.1) unstable; urgency=low

  * New upstream release.
  * remove monitor template
  * add daemontools dependency

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 13 Jan 2004 04:09:16 +0100

webcleaner (2.7-0.1) unstable; urgency=low

  * New upstream release.


