=== debian/control ===
Source: webcleaner
Section: web
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Standards-Version: 3.6.2
Build-Depends: python2.4-dev, debhelper (>= 4.1.16), debconf (>= 1.2.9), gettext, cdbs

Package: webcleaner
Architecture: any
Depends: python2.4, python2.4-pyopenssl, debconf (>= 1.2.9), runit, webcleaner-common (>= ${Source-Version})
Recommends: python2.4-imaging
Suggests: python2.4-crypto, python2.4-psyco, clamav-daemon
Description: a filtering HTTP proxy
 Features:
  * remove unwanted HTML (adverts, flash, etc.)
  * popup blocker
  * disable animated GIF images
  * filter images by size, remove banner adverts
  * compress documents on-the-fly (with gzip)
  * reduce images to low-bandwidth JPEG images
  * remove/add/modify arbitrary HTTP headers
  * configurable over a web interface
  * usage of SquidGuard domain and url blacklists
  * antivirus filter module
  * detection and correction of known HTML security flaws
  * Basic, Digest and (untested) NTLM proxy authentication support
  * per-host access control
  * HTTP/1.1 support (persistent connections, pipelining)
  * HTTPS proxy CONNECT and optional SSL gateway support

Package: webcleaner-common
Architecture: all
Suggests: webcleaner
Description: data files for the WebCleaner filtering HTTP proxy
 Included are HTML templates, images, and other architecture
 independent data files used by the webcleaner package.
