=== debian/watch ===
# watch control file for uscan
version=2
ftp://ftp2.sf.net/pub/sourceforge/w/we/webcleaner/webcleaner-([\d+\.]+|\d+)(\.tar|\.tgz)(\.gz|\.bz2|) debian uupdate
